package com.tongda.tdpimssdk.api;

import com.alibaba.fastjson.JSONObject;
import com.tongda.tdpimssdk.auth.SaAuth;
import com.tongda.tdpimssdk.entities.common.CatalogRoot;
import com.tongda.tdpimssdk.http.PimHttpUtil;

import java.util.List;

public class PimsApi {

    public List<CatalogRoot> pimsTemplate(){

        String url="http://"+ SaAuth.serverId +":"+SaAuth.serverPort+"/pims/template?dbName="+SaAuth.dbName;
        String response=PimHttpUtil.sendGet(url);
        String s=resultUtil(response);
        JSONObject.parseArray(s,CatalogRoot.class);
        return JSONObject.parseArray(s,CatalogRoot.class);
    }


    public static String resultUtil(String re){
        System.out.println(re);
        JSONObject jsonObject=JSONObject.parseObject(re);
        if (jsonObject.get("code").toString().equals("200")){
            return jsonObject.get("data").toString();
        }else {
            throw new RuntimeException("调用接口异常："+re);
        }

    }


}
